gnutls_supplemental_register(3)

NAME
gnutls_supplemental_register - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_supplemental_register(const char * name, gnutls_supplemental_data_format_type_t type, gnutls_supp_recv_func recv_func, gnutls_supp_send_func send_func);

ARGUMENTS

const char * name
    the name of the supplemental data to register

gnutls_supplemental_data_format_type_t type
    the type of the supplemental data format

gnutls_supp_recv_func recv_func
    the function to receive the data

gnutls_supp_send_func send_func
    the function to send the data

DESCRIPTION
This function will register a new supplemental data type (rfc4680). The registered data will remain until gnutls_global_deinit() is called. The provided type must be an unassigned type in gnutls_supplemental_data_format_type_t. If the type is already registered or handled by GnuTLS internally GNUTLS_E_ALREADY_REGISTERED will be returned. This function is not thread safe. As supplemental data are not defined under TLS 1.3, this function will disable TLS 1.3 support globally.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/